import pickle

import numpy as npy
import pylab as pl

import plt

pl.figure(1, [10., 5.])
#pl.title('Egg-box energy and forces')

symbol = 'H'

for I, name in enumerate(['grid', 'lcao']):
    data = pickle.load(open('%seggbox/%s/eggbox.pckl' % (name, symbol)))
    lcao = (name == 'lcao')

    h_i = data['h']
    Fegg_i = data['Fegg']
    Eegg_i = data['Eegg']
    ng = data['ng']

    negg = 25

    packeddata = list(zip(h_i, Eegg_i, Fegg_i))[5::2]

    np = len(packeddata)

    for i, (h, Eegg, Fegg) in enumerate(packeddata):
        E0 = Eegg[0]
        emax = max(Eegg)
        emin = min(Eegg)
        eavg = .5 * (emax + emin)

        x = h * npy.arange(negg) / (2 * negg - 2)
        dx = x[1]
        pl.subplot(np, 1, 1 + i)

        line = 'g' if lcao else 'r'
        dot = 'bo' if lcao else 'ko'

        #label1 = '_nolegend_'
        #label2 = '_nolegend_'
        if i == 0:
            #label1='hello'
            #label2='world'
            #pl.plot([],[], dot, label=r'E [%s]' % name)
            pl.plot([],[], line, label=r'E - F dx [%s]' % name)

        #print Fegg
        for X, E, F in zip(x, Eegg - eavg, Fegg):
            dx0 = dx / 2 * .85
            pl.plot([X - dx0, X + dx0], 
                    [E + F * dx0, E - F * dx0], line)
        pl.plot(x, Eegg - eavg, dot)
        pl.title('h=%.04f' % h)

        if I == 0:
            plt.labels(None, r'$E_{\mathrm{eggbox}}$ [eV]')
        pl.axis('tight')
        ax = pl.axis()[2:]
        pl.axis(ymin=ax[0]*1.1, ymax=ax[1]*1.1)

        if name =='lcao':
            ticks, labels = pl.yticks()
            pl.yticks(ticks[1:-1], ['%.1e' % f for f in ticks][1:-1])
        #print ticks
        #print labels

    #
    plt.labels('x [Ang]')
    pl.subplot(np, 1, 1)
    pl.legend(loc='upper right')#['hello', 'world', 'dg', 'dfg'])

plt.done('force-eggbox')
