import os
import sys

import pylab as pl
from ase import data

pl.rc('lines', linewidth=2)
# pl.rc('text', size=42.) doesn't work!

axislabelsize = 18
plottextsize= 18
savefiles = ('save' in sys.argv)
textpadding = 1

def vert(x, string=None, align='left'):
    ax = pl.axis()
    pl.plot([x, x], ax[2:], 'k--', label='_nolegend_', linewidth=1.)
    if string is not None:
        pl.text(x, ax[2], string, ha=align, va='bottom', 
                size=plottextsize)                
    pl.axis(ax)

def mkaxis(rc):
    pl.plot([0., rc], [0., 0.], 'k--', label='_nolegend_', linewidth=1.)

def labels(xlabel=None, ylabel=None):
    if xlabel is not None:
        pl.xlabel(xlabel, size=axislabelsize)
    if ylabel is not None:
        pl.ylabel(ylabel, size=axislabelsize)

def stdlabels():
    pl.xlabel(r'$r$', size=axislabelsize)
    pl.ylabel(r'$r \phi(r)$', size=axislabelsize)

def done(filename):
    if savefiles:
        write(filename)
    else:
        pl.show()

def get_name(symbol):
    return data.atomic_names[data.atomic_numbers[symbol]]

def orbital_name(n, l):
    return '%d%s' % (n, 'spdf'[l])

def write(filename):
    pl.savefig('%s.%s' % (filename, 'png'))
    pl.savefig('%s.%s' % (filename, 'eps'))
    os.system('epstopdf %s.eps' % filename)
