import sys
import math

import numpy as npy
from gpaw import Calculator

if len(sys.argv) != 2:
    print 'Please write exactly one argument'
    sys.exit(-1)

arg = sys.argv[-1]

calc = Calculator('h2o.%s.gpw' % arg, txt=None)

system = calc.get_atoms()
x = system.positions

xO = x[2]

dx1 = x[0] - x[2]
dx2 = x[1] - x[2]

len1 = npy.dot(dx1, dx1) ** .5
len2 = npy.dot(dx2, dx2) ** .5

cosphi = npy.dot(dx1, dx2) / len1 / len2
phi = npy.arccos(cosphi)

print 'Bond length 1: %8.4f' % len1
print 'Bond length 2: %8.4f' % len2
print 'Bond angle:    %8.4f' % phi
print 'Degrees:       %8.4f' % math.degrees(phi)
